Page MenuHomePhabricator

Begin conversation with community on move from OCG to Electron
Closed, ResolvedPublic

Description

Begin conversation with community on move from OCG to Electron. Our current PDF rendering options are handled by OCG, which has some disadvantages. Moving to Electron (another service that offers browser based rendering) is an option that the foundation team is currently discussing. Moving to Electron also implies upgrading extension:Collections, a request which has been long asked by our communities.

The page here should capture a brief https://www.mediawiki.org/wiki/Reading/Web/PDF_Rendering

Update:

https://en.wikibooks.org/wiki/Wikibooks:Reading_room/General#Making_PDF_look_better.

  • Announcement on Wikisource:

https://en.wikisource.org/wiki/Wikisource:Scriptorium#Enhancing_PDF_output

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2016, 11:20 AM
Qgil added a subscriber: Qgil.

Tentatively scheduling this task to Community-Relations-Support (Oct-Dec-2016), according to first conversations.

This task welcomes an owner...

Moushira claimed this task.Oct 23 2016, 9:26 PM
Moushira triaged this task as Normal priority.Oct 26 2016, 11:31 AM

In the conversation, it would be useful to know whether after OCG is eliminated we can be given back our beloved mwlib for OpenDocument and ZIM output.

In general a summary why OCG was brought up, what worked well in OCG, what did not work well in OCG, why the idea Electron was brought up, how Electron will fix issues or not, would be very helpful.
I guess https://en.wikipedia.org/wiki/Wikipedia_talk:Offline_Content_Generator#Offline_Content_Generator_.28OCG.29 could be a start for that (which I only found after quite some searching but maybe I missed some mailing list posts someone could point to?).

Relatedly, https://phabricator.wikimedia.org/project/profile/2162/ has no links to further information about "Electron".

Qgil added a comment.Jan 10 2017, 2:46 PM

@Moushira @ovasileva please edit the description in order to reflect a specific goal. What is the result expected to consider this task resolved successfully? What are the activities expected to achieve that result?

Also, as Andre says, a minimum background (could be simply links to more information) is welcome. The clearer we define the tasks for ourselves and whoever is interested, the more likely it is that we will be able to resolve them successfully. Thank you!

Hey @Qgil, I synced with @JKatzWMF yesterday. Need to update the page here https://www.mediawiki.org/wiki/Reading/Web/PDF_Rendering then we are ready to go.

Moushira updated the task description. (Show Details)Jan 10 2017, 2:56 PM
Moushira updated the task description. (Show Details)

@Moushira I just added this in an email, but need to document it here as well: This impacts many projects, not just wikipedia. Might be more important on wikibooks or wikivoyage, in fact. We will need to let those communities know about the consultation or even host a clone consultation there...

@Moushira I just added this in an email, but need to document it here as well: This impacts many projects, not just wikipedia. Might be more important on wikibooks or wikivoyage, in fact. We will need to let those communities know about the consultation or even host a clone consultation there...

+1. The most impacted communities are the wikibooks ones, as well as certain WP sub-projects (most notably the Medical WP community).

+1. The most impacted communities are the wikibooks ones

Uh? Why not Wikisource? But yes, definitely must consider non-Wikipedia projects (hence my question about the other formats, such as EPUB, ZIM and ODT: T146757#2864478 ).

IMO T143410 could be related or at least helpful.

Tinss added a subscriber: Tinss.Jan 19 2017, 11:54 PM
Kelson added a subscriber: Kelson.Jan 22 2017, 8:20 PM

I have only a small overview about the dynamics around the future of the OCG portable, so please correct me if I say something really wrong, but here are my toughs about it:

  • Generating PDF based on HTML renderer seems indeed to be less adventurous than using Latex. But not sure, on a longer term this is a good move. Considering that OCG was a hack... maybe it would have made more sense to continue to improve the Latex based solution. So, no big opinion on this, I do not know how the paper specific challenges might be handled correctly by a good CSS/HTML renderer.
  • I do not really like the concept of replacing OCG by Electron because of PDF. This backend should be output format agnostic. If we consider this backend to be mainly used by Wikipedia book creator or other dedicated solutions on Wikisource/Wikibooks, then PDF is probably not the most promising format: EPUB and ZIM are far more adapted.

To conclude, if we move in the direction to abandon Latex rendered PDF, I hope we will keep OCG agnostic part to allow later to plug (back) EPUB/ZIM exporter. This seems to me the most important thing.

Moushira updated the task description. (Show Details)Jan 22 2017, 8:24 PM
Moushira updated the task description. (Show Details)
Johan claimed this task.Feb 14 2017, 6:44 PM
Restricted Application added a project: User-Johan. · View Herald TranscriptFeb 14 2017, 6:44 PM
Johan added a comment.Feb 14 2017, 6:48 PM

Assigning this task to me because Moushira won't have time to finish it.

Johan added a comment.EditedJul 5 2017, 10:15 AM

Update:

We're no longer sure we're simply moving to Electron, see T166188.

Conversation with users of the PDF function have been going on for a while now (banner up on the page where you create PDFs since a number of weeks):
https://www.mediawiki.org/wiki/Talk:Reading/Web/PDF_Functionality

There's a summary here:
https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality#Update_After_Consultation

We'll be broadcasting that a bit more when we have a backend decision.

Johan moved this task from Backlog to Do now on the User-Johan board.Jul 26 2017, 3:26 AM
ovasileva closed this task as Resolved.Aug 29 2017, 12:25 PM

I think we safely close this and include updates under T169724: PDF discussion summarised: Tell the community

Johan moved this task from Do now to Archive on the User-Johan board.Sep 13 2017, 2:46 AM